Bug 601631 - FlightGear cannot obtain a visual
FlightGear cannot obtain a visual
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks: 590490
  Show dependency treegraph
 
Reported: 2010-06-08 07:11 EDT by Fabrice Bellet
Modified: 2010-08-06 16:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: mesa-7.8.1-8.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 16:55:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport fix from mesa-7.9 (475 bytes, patch)
2010-06-08 17:56 EDT, Fabrice Bellet
no flags Details | Diff

  None (edit)
Description Fabrice Bellet 2010-06-08 07:11:29 EDT
Something changed in mesa-0.7.8-3 (0.7.8-2 was ok, and 7.9-0.1 is ok again), that prevents FlightGear to obtain a visual with the needed requirements. I could reproduce the bug with the nouveau driver, and the radeon driver too.

The relevant part of the code is in OpenSceneGraph-2.8.2/src/osgViewer/GraphicsWindowX11.cpp:266 (function GraphicsWindowX11::createVisualInfo())

The pushed attributes are:

GLX_USE_GL
GLX_RGBA
GLX_DOUBLEBUFFER
GLX_RED_SIZE 8
GLX_GREEN_SIZE 8
GLX_BLUE_SIZE 8
GLX_DEPTH_SIZE 24
GLX_STENCIL_SIZE 8
Comment 1 Fabrice Bellet 2010-06-08 17:54:58 EDT
aaah, the LIBGL_DIAGNOSTIC variable helped me to find the problem :
WARNING: unknown GLX tag from server: tag 0x1 value 0x4
WARNING: unknown GLX tag from server: tag 0x1 value 0x4
Error: Not able to create requested visual.

-> GLX_RGBA is considered as the value the (unknown) tag GLX_USE_GL
Comment 2 Fabrice Bellet 2010-06-08 17:56:11 EDT
Created attachment 422370 [details]
backport fix from mesa-7.9
Comment 3 François Cami 2010-07-28 17:53:09 EDT
I've reproduced the bug with:
mesa-libGL-7.8.1-6.fc13.x86_64
FlightGear-2.0.0-1.fc13.x86_64

I've verified that the attached patch fixes the bug.
srpm: http://fcami.fedorapeople.org/srpms/mesa-7.8.1-7.fc13.src.rpm
spec: http://fcami.fedorapeople.org/srpms/mesa.spec
Feel free to edit the changelog.

Warning, the current libdrm-devel in F13 breaks the Mesa build.
I had to downgrade to libdrm-devel-2.4.20-1.fc13 to rebuild Mesa.
Comment 4 Fedora Update System 2010-08-05 01:11:26 EDT
mesa-7.8.1-8.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mesa-7.8.1-8.fc13
Comment 5 Fedora Update System 2010-08-05 19:44:06 EDT
mesa-7.8.1-8.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mesa'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mesa-7.8.1-8.fc13
Comment 6 Fedora Update System 2010-08-06 16:55:46 EDT
mesa-7.8.1-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.